<!-- This is a comment in md (Markdown) format, it will not be visible to the end user -->
<!-- Update the below line with your artifact name -->
# ASA Firewall Object Group Update 
<!-- Add a short description or tag-line -->
This artifact contains the Cisco ASA group policy object update workflow for Ansible using IAP.

<!-- Leave TOC intact unless you've added or removed headers -->
## Table of Contents

- [Overview](#overview)
- [Features](#features)
- [Installation Prerequisites](#installation-prerequisites)
- [Supported Device Types](#supported-device-types)
- [Future Enhancements](#future-enhancements)
- [How to Install](#how-to-install)
- [How to Run](#how-to-run)
- [Additional Information](#additional-information)

## Overview
<!-- Write a few sentences about the artifact and explain the use case(s) -->
<!-- Ex.: The Migration Wizard enables IAP users to conveniently move their automation use cases between their different IAP environments -->
<!--  (e.g. from Dev to Pre-Production or from Lab to Production).  -->
This artifact contains the Cisco ASA group policy object update workflow for Ansible using IAP.  This workflow is designed to create and update an existing group object to add and remove hosts on a Cisco ASA firewall physical and virtual devices via Ansible.

This solution consists of the following:
* Main workflow
* Operations Manager entry
* JSON form


## Features
<!-- Bullet point highlighting the most exciting features of the artifact -->
<!-- Ex.: * Automatically checks for device type -->
<!-- Ex.: * Displays dry-run to user (asking for confirmation) prior to pushing config to the device -->
<!-- Ex.: * Verifies downloaded file integrity (using md5), will try to download again if failed -->
Notable features of the **IAP-Pre-built ASA Firewall Group Policy Update** include:
  * Group updates for host addition and removal.
  * Allows for rollback in case functionality checks have failed.
  * Zero touch mode of operation is available via JSON form.

## Installation Prerequisites
<!-- Explain any pre-req. Ex.: This artifact requires Ansible or NSO (with F5 NED) in order to run -->
* This Pre-built requires Ansible, Itential Automation Gateway, and a Cisco ASA device.
* Itential Automation Platform
  * `^2022.1`

## Supported Device Types
  * Cisco ASA/ASAv

## Future Enhancements
<!-- OPTIONAL Mention If the artifact has known limited support. Ex.: This artifact only support Cisco IOS and XR devices -->
* This workflow is designed to run only against Ansible devices. Do not try to run it against Cisco-ASA devices orchastrated by Cisco NSO.
* Form validation on a list of hosts only supports IPv4 addresses.

## How to Install

To install the pre-build:

* Verify you are running a supported version of the Itential Automation Platform (IAP) as listed above in the [Prerequisites](#installation-prerequisites) section. 
* The pre-build can be installed from within `App-Admin_Essential`. Simply search for the name of your desired pre-build and click the install button.

## How to Run
<!-- Explain what is/are the main entrypoint(s) for this artifact: automation catalog document, workflow builder, postman, etc.  -->
Starting the **ASA Firewall Group Policy Update** is done via Operations Manager. Please provide the device, group and hosts in the provided form.

## Additional Information
Please use your Itential Customer Success account if support is needed when using this pre-built.
